<div class="animated fadeIn">
  <div class="card">
    <div class="card-header">
      <i class="icon-map"></i>Google Maps
      <div class="card-actions">
        <a href="https://github.com/SebastianM/angular-google-maps" target="_blank"><small class="text-muted">docs</small></a>
      </div>
    </div>
    <div class="card-body">
      <small>{{ title }} {{id}}</small>
      <!-- this creates a google map on the page with the given lat/lng from -->
      <!-- the component as the initial center of the map: -->
      <agm-map [latitude]="lat" [longitude]="lng" [zoom]="zoom">
        <agm-marker [latitude]="lat" [longitude]="lng">
        </agm-marker>
      </agm-map>
    </div>
  </div>
<div class="card">
  <div class="card-header">
    <i class="fa fa-align-justify"></i>Asset List
  </div>
  <div class="card-body">
    <div class="row md-3" style="margin-bottom : 1rem">
      <div class="col-md-4 offset-md-8">
        <div class="input-group">
          <input class="form-control" placeholder="search by name" type="text">
          <span class="input-group-addon">
              <i class="fa fa-search"></i>
          </span>
        </div>
      </div>
    </div>
    <table class="table table-hover">
      <thead>
        <tr>
          <th>#</th>
          <th>Vendor ID</th>
          <th>Name</th>
          <th>Type</th>
          <th>Info</th>
          <th>Status</th>
          <th>Created On</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let asset of assets">
          <td>{{asset.index}}</td>
          <td>{{asset.vendorId}}</td>
          <td>{{asset.name}}</td>
          <td>{{asset.type}}</td>
          <td>{{asset.info}}</td>
          <td>{{asset.status}}</td>
          <td>{{asset.createdOn}}</td>
          <td>
            <ul class="icons-list">
                <li>
                    <div class="actions">
                      <button type="button" class="btn btn-link text-muted" [routerLink]="['/dashboard','trackasset',asset.vendorId]"><i class="icon-location-pin"></i></button>
                    </div>
                  </li>
              <li>
                <div class="actions">
                  <button type="button" class="btn btn-link text-muted" [routerLink]="['/dashboard','editasset',asset.vendorId]" ><i class="icon-settings"></i></button>
                </div>
              </li>
            </ul>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
</div>
